org.apache.olingo.odata2.annotation.processor.api

## Class AnnotationServiceFactory

- java.lang.Object
- - org.apache.olingo.odata2.annotation.processor.api.AnnotationServiceFactory

-     public abstract class AnnotationServiceFactory
      extends Object

  AnnotationServiceFactory which provides an AnnotationService which handles java beans (classes) annotated with annotation from `org.apache.olingo.olingo-odata2-api-annotation` module (see package `org.apache.olingo.odata2.api.annotation.edm`).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `AnnotationServiceFactory.AnnotationServiceFactoryInstance` Interface to be implemented for an instance of a `AnnotationServiceFactory.AnnotationServiceFactoryInstance` which provides an `ODataService` based on annotation from `org.apache.olingo.olingo-odata2-api-annotation` module (see package `org.apache.olingo.odata2.api.annotation.edm`).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationServiceFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ODataService` | `createAnnotationService(Collection<Class<?>> annotatedClasses)` Create an `ODataService` which is based on an EDM and Processor which are using the annotations from `org.apache.olingo.olingo-odata2-api-annotation` module (see package `org.apache.olingo.odata2.api.annotation.edm`) to define the model and access the data.
    `static ODataService` | `createAnnotationService(String modelPackage)` Create an `ODataService` which is based on an EDM and Processor which are using the annotations from `org.apache.olingo.olingo-odata2-api-annotation` module (see package `org.apache.olingo.odata2.api.annotation.edm`) to define the model and access the data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationServiceFactory

          public AnnotationServiceFactory()

  - ### Method Detail

    - #### createAnnotationService

          public static ODataService createAnnotationService(String modelPackage)
                                                      throws ODataException

      Create an `ODataService` which is based on an EDM and Processor which are using the annotations from `org.apache.olingo.olingo-odata2-api-annotation` module (see package `org.apache.olingo.odata2.api.annotation.edm`) to define the model and access the data.
      Parameters:
        `modelPackage` - package name which is scanned for annotated classes
      Returns:
        service an `ODataService` based on on an EDM and Processor which are using annotations for model definition and data access.
      Throws:
        `ODataException` - if an error during initialization occurs

    - #### createAnnotationService

          public static ODataService createAnnotationService(Collection<Class<?>> annotatedClasses)
                                                      throws ODataException

      Create an `ODataService` which is based on an EDM and Processor which are using the annotations from `org.apache.olingo.olingo-odata2-api-annotation` module (see package `org.apache.olingo.odata2.api.annotation.edm`) to define the model and access the data.
      Parameters:
        `modelPackage` - classes (which are annotated) which will be used for EDM definition and data access.
      Returns:
        service an `ODataService` based on on an EDM and Processor which are using annotations for model definition and data access.
      Throws:
        `ODataException` - if an error during initialization occurs

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.